import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {HomeComponent} from './home/home.component';
import {InfoComponent} from './info/info.component';
import {NotFoundComponent} from './not-found/not-found.component';
import {HistoryComponent} from './history/history.component';
import {SettingComponent} from './setting/setting.component';
import {DataComponent} from './data/data.component';

const routes: Routes = [
  {path: 'dashboard', component: HomeComponent},
  {path: 'info', component: InfoComponent},
  {path: 'history', component: HistoryComponent},
  {path: 'setting', component: SettingComponent},
  {path: 'data', component: DataComponent},
  {path: '', redirectTo: 'dashboard', pathMatch: 'full'},
  {path: '**', component: NotFoundComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes, {useHash: true})],
  exports: [RouterModule]
})
export class AppRoutingModule { }
