import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

import { HomeComponent } from './home/home.component';
import { InfoComponent } from './info/info.component';
import { NotFoundComponent } from './not-found/not-found.component';
import {HttpClientModule} from '@angular/common/http';
import { ActualComponent } from './actual/actual.component';
import { HistoryComponent } from './history/history.component';
import { SettingComponent } from './setting/setting.component';
import {FormsModule} from '@angular/forms';
import {NgxChartsModule} from '@swimlane/ngx-charts';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {ModalModule} from 'ngx-bootstrap/modal';
import { DataComponent } from './data/data.component';
import { PrettyJsonPipe } from './services/pretty-json.pipe';



@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    InfoComponent,
    NotFoundComponent,
    ActualComponent,
    HistoryComponent,
    SettingComponent,
    DataComponent,
    PrettyJsonPipe
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    HttpClientModule,
    FormsModule,
    NgxChartsModule,
    ModalModule.forRoot()
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
