import { Component, OnInit } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {DataModel} from '../models/data.model';
import {DataService} from '../services/data.service';
import {ModulesModel} from '../models/modules.model';
import {NgForm} from '@angular/forms';
import {SettingsService} from '../services/settings.service';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  modules: ModulesModel[];
  datas: DataModel[];

  constructor(private ds: DataService) { }

  ngOnInit(): void {
    this.ds.getModules().subscribe(data => {
      this.modules = data.filter( el => el.type != 'hub');
    })

    this.ds.getData().subscribe( data => {
      this.datas = data;
    })
  }

  getLastDataById(id: number): DataModel{
    let result = [];
    for (let data of this.datas){
      if (data.id === id){
        result.push(data);
      }
    }
    return result[result.length - 1];
  }

  getTime(time: string){
    return new Date(time).toLocaleString();
  }


}
