import { Injectable } from '@angular/core';
import {DataModel} from '../models/data.model';
import {HttpClient} from '@angular/common/http';
import {ModulesModel} from '../models/modules.model';
import {filter, map} from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class DataService {

  constructor(private http: HttpClient) { }

  public getData(){
     return this.http.get<DataModel[]>('assets/data.json');
  }

  public getDataById(id: number){
    return this.getData().pipe( map( el => el.filter( r => r.id == id)));
  }

  public getModules(){
    return this.http.get<ModulesModel[]>('assets/modules.json');
  }

}
