import { Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {ModulesModel} from '../models/modules.model';
import {DataService} from './data.service';
import {Router} from '@angular/router';

@Injectable({
  providedIn: 'root'
})
export class SettingsService {

  hubModule: ModulesModel;

  constructor(private http: HttpClient,
              private ds: DataService,
              private route: Router)
  {
    this.ds.getModules().subscribe( data => {
      this.hubModule = data.find(el => el.type == 'hub');
    });
  }

  changeModuleName(modules: ModulesModel[]){
    this.http.post("http://" + this.hubModule.ip + "/changeModules", modules, {withCredentials: false}).subscribe(() => {
      this.route.navigate(['/setting']);
    });
  }

  resetWifiConnection(module: ModulesModel){
    this.http.delete("http://" + module.ip + "/resetWifi", {withCredentials: false}).subscribe(() => {
      this.route.navigate(['/setting']);
    });
  }

  resetMeasuredData(){
    this.http.delete("http://" + this.hubModule.ip + "/deleteMeasuredData", {withCredentials: false}).subscribe(() => {
      this.route.navigate(['/setting']);
    });
  }

  resetAllData(){
    this.http.delete("http://" + this.hubModule.ip + "/deleteAllData", {withCredentials: false}).subscribe( () => {
      this.route.navigate(['/setting']);
      }
    );
  }

  deleteModule(modules: ModulesModel[], module: ModulesModel){
    this.http.post("http://" + this.hubModule.ip + "/changeModules", modules, {withCredentials: false}).subscribe();
    this.ds.getData().subscribe( data => {
      let newData = data.filter(el => el.id != module.id);
      this.http.post("http://" + this.hubModule.ip + "/changeData", newData, {withCredentials: false}).subscribe(() => {
        this.route.navigate(['/setting']);
      });
    })
  }

}
